/*
	TinyCAD program for schematic capture
	Copyright 1994/1995/2002 Matt Pyne.

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#if !defined(AFX_SYMBOLFIELDLISTCTRL_H__12B42895_AB3E_4F02_B0C5_B28ADF01A11F__INCLUDED_)
#define AFX_SYMBOLFIELDLISTCTRL_H__12B42895_AB3E_4F02_B0C5_B28ADF01A11F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SymbolFieldListCtrl.h : header file
//

#include "symbol.h"
#include <vector>

/////////////////////////////////////////////////////////////////////////////
// CSymbolFieldListCtrl window

class CSymbolFieldListCtrl : public CListCtrl
{
// Construction
public:
	CSymbolFieldListCtrl();

// Attributes
public:

// Operations
public:

	void AttachList( std::vector<CSymbolField>& fields );

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSymbolFieldListCtrl)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSymbolFieldListCtrl();

private:
	CEdit	*editor;
	void	finishEdit();
	int		nItem;


	// Generated message map functions
protected:
	//{{AFX_MSG(CSymbolFieldListCtrl)
	afx_msg void OnClick(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG


	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SYMBOLFIELDLISTCTRL_H__12B42895_AB3E_4F02_B0C5_B28ADF01A11F__INCLUDED_)
